This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 166030 - RPM signed with wrong key?
RPM signed with wrong key?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: Security
: 169810 177351 181017 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 19:56 EDT by Jonathan S. Shapiro
Modified: 2014-03-16 22:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-16 06:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2005-08-15 19:56:16 EDT
I just attempted to install psgml via yum, and got:
== begin response ==
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID db42a60e
public key not available for psgml-1.2.5-4.noarch.rpm
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

The GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2)
is already installed but is not the correct key for this package.
Check that this is the correct key for the "Fedora Core 4 - i386 - Base" repository.
== end response ==

Since the key works for everything else, I'm wondering if perhaps somehow this
package was signed with a stale key?
Comment 1 Rahul Sundaram 2005-08-16 06:17:58 EDT
Yes. Thank for you report. This is a issue reported previously. Unfortunately we
cant do anything at this point. Will have to make sure the next release does it
right. 
Comment 2 Jonathan S. Shapiro 2005-08-16 08:58:48 EDT
Understood. Curiously, installing with RPM using a URL worked fine. Only YUM
complained.
Comment 3 Rahul Sundaram 2005-08-16 09:01:28 EDT
RPM didnt provide a missing key warning?. Can you paste the output?
Comment 4 Bill Nottingham 2005-10-03 18:08:59 EDT
*** Bug 169810 has been marked as a duplicate of this bug. ***
Comment 5 Dan Hollis 2005-10-03 18:18:17 EDT
this is duplicated very easily.

rpm -e crontabs

gives error and aborts:
yum install crontabs

gives no error, but gives a warning about NOKEY:
rpm -Uvh
http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/Fedora/RPMS/crontabs-1.10-7.noarch.rpm
Comment 6 Ignacio Vazquez-Abrams 2006-01-09 17:57:40 EST
*** Bug 177351 has been marked as a duplicate of this bug. ***
Comment 7 Ignacio Vazquez-Abrams 2006-02-11 14:44:09 EST
*** Bug 181017 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.